# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sentra/version'

Gem::Specification.new do |spec|
  spec.name          = "sentra"
  spec.version       = Sentra::VERSION
  spec.authors       = ["kshakirov"]
  spec.email         = ["kirill.shakirov4@gmail.com"]

  spec.summary       = %q{sentra web service}
  spec.description   = %q{sentra web service}
  spec.homepage      = "https://rubygems.org"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib","tools"]

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server."
  end

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest"

  spec.add_runtime_dependency "bundler", "~> 1.9"
  spec.add_runtime_dependency "sinatra"
  spec.add_runtime_dependency "rack"
  spec.add_runtime_dependency "trinidad"
  spec.add_runtime_dependency "rest_client"
  spec.add_runtime_dependency "rack-timeout"

end
